com.amazonaws.services.machinelearning

## Class AmazonMachineLearningAsyncClient

- java.lang.Object
- - com.amazonaws.AmazonWebServiceClient
  - - com.amazonaws.services.machinelearning.AmazonMachineLearningClient
    - - com.amazonaws.services.machinelearning.AmazonMachineLearningAsyncClient

All Implemented Interfaces:
  AmazonMachineLearning, AmazonMachineLearningAsync

    @ThreadSafe
    public class AmazonMachineLearningAsyncClient
    extends AmazonMachineLearningClient
    implements AmazonMachineLearningAsync

Client for accessing Amazon Machine Learning asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

Definition of the public APIs exposed by Amazon Machine Learning

### Field Summary

### Fields inherited from class com.amazonaws.services.machinelearning.AmazonMachineLearningClient

`configFactory`

### Fields inherited from class com.amazonaws.AmazonWebServiceClient

`client, clientConfiguration, endpoint, LOGGING_AWS_REQUEST_METRIC, requestHandler2s, timeOffset`

### Fields inherited from interface com.amazonaws.services.machinelearning.AmazonMachineLearning

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`AmazonMachineLearningAsyncClient()` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning.
`AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials.
`AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials, executor service, and client configuration options.
`AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials and executor service.
`AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider.
`AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ClientConfiguration clientConfiguration)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the provided AWS account credentials provider and client configuration options.
`AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider, executor service, and client configuration options.
`AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider and executor service.
`AmazonMachineLearningAsyncClient(ClientConfiguration clientConfiguration)` Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning.

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<AddTagsResult>` `addTagsAsync(AddTagsRequest request)` Adds one or more tags to an object, up to a limit of 10.
`Future<AddTagsResult>` `addTagsAsync(AddTagsRequest request, AsyncHandler<AddTagsRequest,AddTagsResult> asyncHandler)` Adds one or more tags to an object, up to a limit of 10.
`Future<CreateBatchPredictionResult>` `createBatchPredictionAsync(CreateBatchPredictionRequest request)` Generates predictions for a group of observations.
`Future<CreateBatchPredictionResult>` `createBatchPredictionAsync(CreateBatchPredictionRequest request, AsyncHandler<CreateBatchPredictionRequest,CreateBatchPredictionResult> asyncHandler)` Generates predictions for a group of observations.
`Future<CreateDataSourceFromRDSResult>` `createDataSourceFromRDSAsync(CreateDataSourceFromRDSRequest request)` Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS).
`Future<CreateDataSourceFromRDSResult>` `createDataSourceFromRDSAsync(CreateDataSourceFromRDSRequest request, AsyncHandler<CreateDataSourceFromRDSRequest,CreateDataSourceFromRDSResult> asyncHandler)` Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS).
`Future<CreateDataSourceFromRedshiftResult>` `createDataSourceFromRedshiftAsync(CreateDataSourceFromRedshiftRequest request)` Creates a `DataSource` from a database hosted on an Amazon Redshift cluster.
`Future<CreateDataSourceFromRedshiftResult>` `createDataSourceFromRedshiftAsync(CreateDataSourceFromRedshiftRequest request, AsyncHandler<CreateDataSourceFromRedshiftRequest,CreateDataSourceFromRedshiftResult> asyncHandler)` Creates a `DataSource` from a database hosted on an Amazon Redshift cluster.
`Future<CreateDataSourceFromS3Result>` `createDataSourceFromS3Async(CreateDataSourceFromS3Request request)` Creates a `DataSource` object.
`Future<CreateDataSourceFromS3Result>` `createDataSourceFromS3Async(CreateDataSourceFromS3Request request, AsyncHandler<CreateDataSourceFromS3Request,CreateDataSourceFromS3Result> asyncHandler)` Creates a `DataSource` object.
`Future<CreateEvaluationResult>` `createEvaluationAsync(CreateEvaluationRequest request)` Creates a new `Evaluation` of an `MLModel`.
`Future<CreateEvaluationResult>` `createEvaluationAsync(CreateEvaluationRequest request, AsyncHandler<CreateEvaluationRequest,CreateEvaluationResult> asyncHandler)` Creates a new `Evaluation` of an `MLModel`.
`Future<CreateMLModelResult>` `createMLModelAsync(CreateMLModelRequest request)` Creates a new `MLModel` using the `DataSource` and the recipe as information sources.
`Future<CreateMLModelResult>` `createMLModelAsync(CreateMLModelRequest request, AsyncHandler<CreateMLModelRequest,CreateMLModelResult> asyncHandler)` Creates a new `MLModel` using the `DataSource` and the recipe as information sources.
`Future<CreateRealtimeEndpointResult>` `createRealtimeEndpointAsync(CreateRealtimeEndpointRequest request)` Creates a real-time endpoint for the `MLModel`.
`Future<CreateRealtimeEndpointResult>` `createRealtimeEndpointAsync(CreateRealtimeEndpointRequest request, AsyncHandler<CreateRealtimeEndpointRequest,CreateRealtimeEndpointResult> asyncHandler)` Creates a real-time endpoint for the `MLModel`.
`Future<DeleteBatchPredictionResult>` `deleteBatchPredictionAsync(DeleteBatchPredictionRequest request)` Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.
`Future<DeleteBatchPredictionResult>` `deleteBatchPredictionAsync(DeleteBatchPredictionRequest request, AsyncHandler<DeleteBatchPredictionRequest,DeleteBatchPredictionResult> asyncHandler)` Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.
`Future<DeleteDataSourceResult>` `deleteDataSourceAsync(DeleteDataSourceRequest request)` Assigns the DELETED status to a `DataSource`, rendering it unusable.
`Future<DeleteDataSourceResult>` `deleteDataSourceAsync(DeleteDataSourceRequest request, AsyncHandler<DeleteDataSourceRequest,DeleteDataSourceResult> asyncHandler)` Assigns the DELETED status to a `DataSource`, rendering it unusable.
`Future<DeleteEvaluationResult>` `deleteEvaluationAsync(DeleteEvaluationRequest request)` Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.
`Future<DeleteEvaluationResult>` `deleteEvaluationAsync(DeleteEvaluationRequest request, AsyncHandler<DeleteEvaluationRequest,DeleteEvaluationResult> asyncHandler)` Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.
`Future<DeleteMLModelResult>` `deleteMLModelAsync(DeleteMLModelRequest request)` Assigns the `DELETED` status to an `MLModel`, rendering it unusable.
`Future<DeleteMLModelResult>` `deleteMLModelAsync(DeleteMLModelRequest request, AsyncHandler<DeleteMLModelRequest,DeleteMLModelResult> asyncHandler)` Assigns the `DELETED` status to an `MLModel`, rendering it unusable.
`Future<DeleteRealtimeEndpointResult>` `deleteRealtimeEndpointAsync(DeleteRealtimeEndpointRequest request)` Deletes a real time endpoint of an `MLModel`.
`Future<DeleteRealtimeEndpointResult>` `deleteRealtimeEndpointAsync(DeleteRealtimeEndpointRequest request, AsyncHandler<DeleteRealtimeEndpointRequest,DeleteRealtimeEndpointResult> asyncHandler)` Deletes a real time endpoint of an `MLModel`.
`Future<DeleteTagsResult>` `deleteTagsAsync(DeleteTagsRequest request)` Deletes the specified tags associated with an ML object.
`Future<DeleteTagsResult>` `deleteTagsAsync(DeleteTagsRequest request, AsyncHandler<DeleteTagsRequest,DeleteTagsResult> asyncHandler)` Deletes the specified tags associated with an ML object.
`Future<DescribeBatchPredictionsResult>` `describeBatchPredictionsAsync()` Simplified method form for invoking the DescribeBatchPredictions operation.
`Future<DescribeBatchPredictionsResult>` `describeBatchPredictionsAsync(AsyncHandler<DescribeBatchPredictionsRequest,DescribeBatchPredictionsResult> asyncHandler)` Simplified method form for invoking the DescribeBatchPredictions operation with an AsyncHandler.
`Future<DescribeBatchPredictionsResult>` `describeBatchPredictionsAsync(DescribeBatchPredictionsRequest request)` Returns a list of `BatchPrediction` operations that match the search criteria in the request.
`Future<DescribeBatchPredictionsResult>` `describeBatchPredictionsAsync(DescribeBatchPredictionsRequest request, AsyncHandler<DescribeBatchPredictionsRequest,DescribeBatchPredictionsResult> asyncHandler)` Returns a list of `BatchPrediction` operations that match the search criteria in the request.
`Future<DescribeDataSourcesResult>` `describeDataSourcesAsync()` Simplified method form for invoking the DescribeDataSources operation.
`Future<DescribeDataSourcesResult>` `describeDataSourcesAsync(AsyncHandler<DescribeDataSourcesRequest,DescribeDataSourcesResult> asyncHandler)` Simplified method form for invoking the DescribeDataSources operation with an AsyncHandler.
`Future<DescribeDataSourcesResult>` `describeDataSourcesAsync(DescribeDataSourcesRequest request)` Returns a list of `DataSource` that match the search criteria in the request.
`Future<DescribeDataSourcesResult>` `describeDataSourcesAsync(DescribeDataSourcesRequest request, AsyncHandler<DescribeDataSourcesRequest,DescribeDataSourcesResult> asyncHandler)` Returns a list of `DataSource` that match the search criteria in the request.
`Future<DescribeEvaluationsResult>` `describeEvaluationsAsync()` Simplified method form for invoking the DescribeEvaluations operation.
`Future<DescribeEvaluationsResult>` `describeEvaluationsAsync(AsyncHandler<DescribeEvaluationsRequest,DescribeEvaluationsResult> asyncHandler)` Simplified method form for invoking the DescribeEvaluations operation with an AsyncHandler.
`Future<DescribeEvaluationsResult>` `describeEvaluationsAsync(DescribeEvaluationsRequest request)` Returns a list of `DescribeEvaluations` that match the search criteria in the request.
`Future<DescribeEvaluationsResult>` `describeEvaluationsAsync(DescribeEvaluationsRequest request, AsyncHandler<DescribeEvaluationsRequest,DescribeEvaluationsResult> asyncHandler)` Returns a list of `DescribeEvaluations` that match the search criteria in the request.
`Future<DescribeMLModelsResult>` `describeMLModelsAsync()` Simplified method form for invoking the DescribeMLModels operation.
`Future<DescribeMLModelsResult>` `describeMLModelsAsync(AsyncHandler<DescribeMLModelsRequest,DescribeMLModelsResult> asyncHandler)` Simplified method form for invoking the DescribeMLModels operation with an AsyncHandler.
`Future<DescribeMLModelsResult>` `describeMLModelsAsync(DescribeMLModelsRequest request)` Returns a list of `MLModel` that match the search criteria in the request.
`Future<DescribeMLModelsResult>` `describeMLModelsAsync(DescribeMLModelsRequest request, AsyncHandler<DescribeMLModelsRequest,DescribeMLModelsResult> asyncHandler)` Returns a list of `MLModel` that match the search criteria in the request.
`Future<DescribeTagsResult>` `describeTagsAsync(DescribeTagsRequest request)` Describes one or more of the tags for your Amazon ML object.
`Future<DescribeTagsResult>` `describeTagsAsync(DescribeTagsRequest request, AsyncHandler<DescribeTagsRequest,DescribeTagsResult> asyncHandler)` Describes one or more of the tags for your Amazon ML object.
`Future<GetBatchPredictionResult>` `getBatchPredictionAsync(GetBatchPredictionRequest request)` Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.
`Future<GetBatchPredictionResult>` `getBatchPredictionAsync(GetBatchPredictionRequest request, AsyncHandler<GetBatchPredictionRequest,GetBatchPredictionResult> asyncHandler)` Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.
`Future<GetDataSourceResult>` `getDataSourceAsync(GetDataSourceRequest request)` Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.
`Future<GetDataSourceResult>` `getDataSourceAsync(GetDataSourceRequest request, AsyncHandler<GetDataSourceRequest,GetDataSourceResult> asyncHandler)` Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.
`Future<GetEvaluationResult>` `getEvaluationAsync(GetEvaluationRequest request)` Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.
`Future<GetEvaluationResult>` `getEvaluationAsync(GetEvaluationRequest request, AsyncHandler<GetEvaluationRequest,GetEvaluationResult> asyncHandler)` Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.
`ExecutorService` `getExecutorService()` Returns the executor service used by this client to execute async requests.
`Future<GetMLModelResult>` `getMLModelAsync(GetMLModelRequest request)` Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.
`Future<GetMLModelResult>` `getMLModelAsync(GetMLModelRequest request, AsyncHandler<GetMLModelRequest,GetMLModelResult> asyncHandler)` Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.
`Future<PredictResult>` `predictAsync(PredictRequest request)` Generates a prediction for the observation using the specified `ML Model`.
`Future<PredictResult>` `predictAsync(PredictRequest request, AsyncHandler<PredictRequest,PredictResult> asyncHandler)` Generates a prediction for the observation using the specified `ML Model`.
`void` `shutdown()` Shuts down the client, releasing all managed resources.
`Future<UpdateBatchPredictionResult>` `updateBatchPredictionAsync(UpdateBatchPredictionRequest request)` Updates the `BatchPredictionName` of a `BatchPrediction`.
`Future<UpdateBatchPredictionResult>` `updateBatchPredictionAsync(UpdateBatchPredictionRequest request, AsyncHandler<UpdateBatchPredictionRequest,UpdateBatchPredictionResult> asyncHandler)` Updates the `BatchPredictionName` of a `BatchPrediction`.
`Future<UpdateDataSourceResult>` `updateDataSourceAsync(UpdateDataSourceRequest request)` Updates the `DataSourceName` of a `DataSource`.
`Future<UpdateDataSourceResult>` `updateDataSourceAsync(UpdateDataSourceRequest request, AsyncHandler<UpdateDataSourceRequest,UpdateDataSourceResult> asyncHandler)` Updates the `DataSourceName` of a `DataSource`.
`Future<UpdateEvaluationResult>` `updateEvaluationAsync(UpdateEvaluationRequest request)` Updates the `EvaluationName` of an `Evaluation`.
`Future<UpdateEvaluationResult>` `updateEvaluationAsync(UpdateEvaluationRequest request, AsyncHandler<UpdateEvaluationRequest,UpdateEvaluationResult> asyncHandler)` Updates the `EvaluationName` of an `Evaluation`.
`Future<UpdateMLModelResult>` `updateMLModelAsync(UpdateMLModelRequest request)` Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.
`Future<UpdateMLModelResult>` `updateMLModelAsync(UpdateMLModelRequest request, AsyncHandler<UpdateMLModelRequest,UpdateMLModelResult> asyncHandler)` Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.

### Methods inherited from class com.amazonaws.services.machinelearning.AmazonMachineLearningClient

`addTags, createBatchPrediction, createDataSourceFromRDS, createDataSourceFromRedshift, createDataSourceFromS3, createEvaluation, createMLModel, createRealtimeEndpoint, deleteBatchPrediction, deleteDataSource, deleteEvaluation, deleteMLModel, deleteRealtimeEndpoint, deleteTags, describeBatchPredictions, describeBatchPredictions, describeDataSources, describeDataSources, describeEvaluations, describeEvaluations, describeMLModels, describeMLModels, describeTags, getBatchPrediction, getCachedResponseMetadata, getDataSource, getEvaluation, getMLModel, predict, updateBatchPrediction, updateDataSource, updateEvaluation, updateMLModel, waiters`

### Methods inherited from class com.amazonaws.AmazonWebServiceClient

`addRequestHandler, addRequestHandler, beforeMarshalling, calculateCRC32FromCompressedData, checkMutability, configureRegion, createExecutionContext, createExecutionContext, createExecutionContext, createSignerProvider, endClientExecution, endClientExecution, getEndpointPrefix, getRequestMetricsCollector, getServiceAbbreviation, getServiceName, getServiceNameIntern, getSigner, getSignerByURI, getSignerProvider, getSignerRegionOverride, getTimeOffset, isProfilingEnabled, isRequestMetricsEnabled, makeImmutable, removeRequestHandler, removeRequestHandler, requestMetricCollector, setEndpoint, setEndpointPrefix, setRegion, setServiceNameIntern, setSignerRegionOverride, setTimeOffset, useStrictHostNameVerification, withEndpoint, withRegion, withRegion, withTimeOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazonaws.services.machinelearning.AmazonMachineLearning

`addTags, createBatchPrediction, createDataSourceFromRDS, createDataSourceFromRedshift, createDataSourceFromS3, createEvaluation, createMLModel, createRealtimeEndpoint, deleteBatchPrediction, deleteDataSource, deleteEvaluation, deleteMLModel, deleteRealtimeEndpoint, deleteTags, describeBatchPredictions, describeBatchPredictions, describeDataSources, describeDataSources, describeEvaluations, describeEvaluations, describeMLModels, describeMLModels, describeTags, getBatchPrediction, getCachedResponseMetadata, getDataSource, getEvaluation, getMLModel, predict, setEndpoint, setRegion, updateBatchPrediction, updateDataSource, updateEvaluation, updateMLModel, waiters`

### Constructor Detail

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient()

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning. A credentials provider chain will be used that searches for credentials in this order:

- Environment Variables - AWS_ACCESS_KEY_ID and AWS_SECRET_KEY
- Java System Properties - aws.accessKeyId and aws.secretKey
- Credential profiles file at the default location (~/.aws/credentials) shared by all AWS SDKs and the AWS CLI
- Instance profile credentials delivered through the Amazon EC2 metadata service

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(ClientConfiguration clientConfiguration)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning. A credentials provider chain will be used that searches for credentials in this order:

- Environment Variables - AWS_ACCESS_KEY_ID and AWS_SECRET_KEY
- Java System Properties - aws.accessKeyId and aws.secretKey
- Credential profiles file at the default location (~/.aws/credentials) shared by all AWS SDKs and the AWS CLI
- Instance profile credentials delivered through the Amazon EC2 metadata service

Asynchronous methods are delegated to a fixed-size thread pool containing a number of threads equal to the maximum number of concurrent connections configured via `ClientConfiguration.getMaxConnections()`.

Parameters:
  `clientConfiguration` - The client configuration options controlling how this client connects to Amazon Machine Learning (ex: proxy settings, retry counts, etc).
See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials.

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
See Also:
  `Executors.newFixedThreadPool(int)`

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials,
                                            ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials and executor service. Default client settings will be used.

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentials awsCredentials,
                                            ClientConfiguration clientConfiguration,
                                            ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials, executor service, and client configuration options.

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider. Default client settings will be used.

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
See Also:
  `Executors.newFixedThreadPool(int)`

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                            ClientConfiguration clientConfiguration)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the provided AWS account credentials provider and client configuration options.

Asynchronous methods are delegated to a fixed-size thread pool containing a number of threads equal to the maximum number of concurrent connections configured via `ClientConfiguration.getMaxConnections()`.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                            ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider and executor service. Default client settings will be used.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonMachineLearningAsyncClient

    public AmazonMachineLearningAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                            ClientConfiguration clientConfiguration,
                                            ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Machine Learning using the specified AWS account credentials provider, executor service, and client configuration options.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
  `executorService` - The executor service by which all asynchronous requests will be executed.

### Method Detail

#### getExecutorService

    public ExecutorService getExecutorService()

Returns the executor service used by this client to execute async requests.

Returns:
  The executor service used by this client to execute async requests.

#### addTagsAsync

    public Future<AddTagsResult> addTagsAsync(AddTagsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Adds one or more tags to an object, up to a limit of 10. Each tag consists of a key and an optional value. If you add a tag using a key that is already associated with the ML object, `AddTags` updates the tag's value.

Specified by:
  `addTagsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the AddTags operation returned by the service.

#### addTagsAsync

    public Future<AddTagsResult> addTagsAsync(AddTagsRequest request,
                                              AsyncHandler<AddTagsRequest,AddTagsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Adds one or more tags to an object, up to a limit of 10. Each tag consists of a key and an optional value. If you add a tag using a key that is already associated with the ML object, `AddTags` updates the tag's value.

Specified by:
  `addTagsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the AddTags operation returned by the service.

#### createBatchPredictionAsync

    public Future<CreateBatchPredictionResult> createBatchPredictionAsync(CreateBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Generates predictions for a group of observations. The observations to process exist in one or more data files referenced by a `DataSource`. This operation creates a new `BatchPrediction`, and uses an `MLModel` and the data files referenced by the `DataSource` as information sources.

`CreateBatchPrediction` is an asynchronous operation. In response to `CreateBatchPrediction`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `BatchPrediction` status to `PENDING`. After the `BatchPrediction` completes, Amazon ML sets the status to `COMPLETED`.

You can poll for status updates by using the GetBatchPrediction operation and checking the `Status` parameter of the result. After the `COMPLETED` status appears, the results are available in the location specified by the `OutputUri` parameter.

Specified by:
  `createBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateBatchPrediction operation returned by the service.

#### createBatchPredictionAsync

    public Future<CreateBatchPredictionResult> createBatchPredictionAsync(CreateBatchPredictionRequest request,
                                                                          AsyncHandler<CreateBatchPredictionRequest,CreateBatchPredictionResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Generates predictions for a group of observations. The observations to process exist in one or more data files referenced by a `DataSource`. This operation creates a new `BatchPrediction`, and uses an `MLModel` and the data files referenced by the `DataSource` as information sources.

`CreateBatchPrediction` is an asynchronous operation. In response to `CreateBatchPrediction`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `BatchPrediction` status to `PENDING`. After the `BatchPrediction` completes, Amazon ML sets the status to `COMPLETED`.

You can poll for status updates by using the GetBatchPrediction operation and checking the `Status` parameter of the result. After the `COMPLETED` status appears, the results are available in the location specified by the `OutputUri` parameter.

Specified by:
  `createBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateBatchPrediction operation returned by the service.

#### createDataSourceFromRDSAsync

    public Future<CreateDataSourceFromRDSResult> createDataSourceFromRDSAsync(CreateDataSourceFromRDSRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS). A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRDS` is an asynchronous operation. In response to `CreateDataSourceFromRDS`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used only to perform `>CreateMLModel`>, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML cannot accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

Specified by:
  `createDataSourceFromRDSAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateDataSourceFromRDS operation returned by the service.

#### createDataSourceFromRDSAsync

    public Future<CreateDataSourceFromRDSResult> createDataSourceFromRDSAsync(CreateDataSourceFromRDSRequest request,
                                                                              AsyncHandler<CreateDataSourceFromRDSRequest,CreateDataSourceFromRDSResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS). A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRDS` is an asynchronous operation. In response to `CreateDataSourceFromRDS`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used only to perform `>CreateMLModel`>, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML cannot accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

Specified by:
  `createDataSourceFromRDSAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDataSourceFromRDS operation returned by the service.

#### createDataSourceFromRedshiftAsync

    public Future<CreateDataSourceFromRedshiftResult> createDataSourceFromRedshiftAsync(CreateDataSourceFromRedshiftRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` from a database hosted on an Amazon Redshift cluster. A `DataSource` references data that can be used to perform either `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRedshift` is an asynchronous operation. In response to `CreateDataSourceFromRedshift`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in `COMPLETED` or `PENDING` states can be used to perform only `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observations should be contained in the database hosted on an Amazon Redshift cluster and should be specified by a `SelectSqlQuery` query. Amazon ML executes an `Unload` command in Amazon Redshift to transfer the result set of the `SelectSqlQuery` query to `S3StagingLocation`.

After the `DataSource` has been created, it's ready for use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also requires a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

You can't change an existing datasource, but you can copy and modify the settings from an existing Amazon Redshift datasource to create a new datasource. To do so, call `GetDataSource` for an existing datasource and copy the values to a `CreateDataSource` call. Change the settings that you want to change and make sure that all required fields have the appropriate values.

Specified by:
  `createDataSourceFromRedshiftAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateDataSourceFromRedshift operation returned by the service.

#### createDataSourceFromRedshiftAsync

    public Future<CreateDataSourceFromRedshiftResult> createDataSourceFromRedshiftAsync(CreateDataSourceFromRedshiftRequest request,
                                                                                        AsyncHandler<CreateDataSourceFromRedshiftRequest,CreateDataSourceFromRedshiftResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` from a database hosted on an Amazon Redshift cluster. A `DataSource` references data that can be used to perform either `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRedshift` is an asynchronous operation. In response to `CreateDataSourceFromRedshift`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in `COMPLETED` or `PENDING` states can be used to perform only `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observations should be contained in the database hosted on an Amazon Redshift cluster and should be specified by a `SelectSqlQuery` query. Amazon ML executes an `Unload` command in Amazon Redshift to transfer the result set of the `SelectSqlQuery` query to `S3StagingLocation`.

After the `DataSource` has been created, it's ready for use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also requires a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

You can't change an existing datasource, but you can copy and modify the settings from an existing Amazon Redshift datasource to create a new datasource. To do so, call `GetDataSource` for an existing datasource and copy the values to a `CreateDataSource` call. Change the settings that you want to change and make sure that all required fields have the appropriate values.

Specified by:
  `createDataSourceFromRedshiftAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDataSourceFromRedshift operation returned by the service.

#### createDataSourceFromS3Async

    public Future<CreateDataSourceFromS3Result> createDataSourceFromS3Async(CreateDataSourceFromS3Request request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` object. A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromS3` is an asynchronous operation. In response to `CreateDataSourceFromS3`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` has been created and is ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used to perform only `CreateMLModel`, `CreateEvaluation` or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observation data used in a `DataSource` should be ready to use; that is, it should have a consistent structure, and missing data values should be kept to a minimum. The observation data must reside in one or more .csv files in an Amazon Simple Storage Service (Amazon S3) location, along with a schema that describes the data items by name and type. The same schema must be used for all of the data files referenced by the `DataSource`.

After the `DataSource` has been created, it's ready to use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also needs a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

Specified by:
  `createDataSourceFromS3Async` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateDataSourceFromS3 operation returned by the service.

#### createDataSourceFromS3Async

    public Future<CreateDataSourceFromS3Result> createDataSourceFromS3Async(CreateDataSourceFromS3Request request,
                                                                            AsyncHandler<CreateDataSourceFromS3Request,CreateDataSourceFromS3Result> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a `DataSource` object. A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromS3` is an asynchronous operation. In response to `CreateDataSourceFromS3`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` has been created and is ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used to perform only `CreateMLModel`, `CreateEvaluation` or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observation data used in a `DataSource` should be ready to use; that is, it should have a consistent structure, and missing data values should be kept to a minimum. The observation data must reside in one or more .csv files in an Amazon Simple Storage Service (Amazon S3) location, along with a schema that describes the data items by name and type. The same schema must be used for all of the data files referenced by the `DataSource`.

After the `DataSource` has been created, it's ready to use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also needs a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

Specified by:
  `createDataSourceFromS3Async` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDataSourceFromS3 operation returned by the service.

#### createEvaluationAsync

    public Future<CreateEvaluationResult> createEvaluationAsync(CreateEvaluationRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a new `Evaluation` of an `MLModel`. An `MLModel` is evaluated on a set of observations associated to a `DataSource`. Like a `DataSource` for an `MLModel`, the `DataSource` for an `Evaluation` contains values for the `Target Variable`. The `Evaluation` compares the predicted result for each observation to the actual outcome and provides a summary so that you know how effective the `MLModel` functions on the test data. Evaluation generates a relevant performance metric, such as BinaryAUC, RegressionRMSE or MulticlassAvgFScore based on the corresponding `MLModelType`: `BINARY`, `REGRESSION` or `MULTICLASS`.

`CreateEvaluation` is an asynchronous operation. In response to `CreateEvaluation`, Amazon Machine Learning (Amazon ML) immediately returns and sets the evaluation status to `PENDING`. After the `Evaluation` is created and ready for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetEvaluation` operation to check progress of the evaluation during the creation operation.

Specified by:
  `createEvaluationAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateEvaluation operation returned by the service.

#### createEvaluationAsync

    public Future<CreateEvaluationResult> createEvaluationAsync(CreateEvaluationRequest request,
                                                                AsyncHandler<CreateEvaluationRequest,CreateEvaluationResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a new `Evaluation` of an `MLModel`. An `MLModel` is evaluated on a set of observations associated to a `DataSource`. Like a `DataSource` for an `MLModel`, the `DataSource` for an `Evaluation` contains values for the `Target Variable`. The `Evaluation` compares the predicted result for each observation to the actual outcome and provides a summary so that you know how effective the `MLModel` functions on the test data. Evaluation generates a relevant performance metric, such as BinaryAUC, RegressionRMSE or MulticlassAvgFScore based on the corresponding `MLModelType`: `BINARY`, `REGRESSION` or `MULTICLASS`.

`CreateEvaluation` is an asynchronous operation. In response to `CreateEvaluation`, Amazon Machine Learning (Amazon ML) immediately returns and sets the evaluation status to `PENDING`. After the `Evaluation` is created and ready for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetEvaluation` operation to check progress of the evaluation during the creation operation.

Specified by:
  `createEvaluationAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateEvaluation operation returned by the service.

#### createMLModelAsync

    public Future<CreateMLModelResult> createMLModelAsync(CreateMLModelRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a new `MLModel` using the `DataSource` and the recipe as information sources.

An `MLModel` is nearly immutable. Users can update only the `MLModelName` and the `ScoreThreshold` in an `MLModel` without creating a new `MLModel`.

`CreateMLModel` is an asynchronous operation. In response to `CreateMLModel`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `MLModel` status to `PENDING` . After the `MLModel` has been created and ready is for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetMLModel` operation to check the progress of the `MLModel` during the creation operation.

`CreateMLModel` requires a `DataSource` with computed statistics, which can be created by setting `ComputeStatistics` to `true` in `CreateDataSourceFromRDS`, `CreateDataSourceFromS3`, or `CreateDataSourceFromRedshift` operations.

Specified by:
  `createMLModelAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateMLModel operation returned by the service.

#### createMLModelAsync

    public Future<CreateMLModelResult> createMLModelAsync(CreateMLModelRequest request,
                                                          AsyncHandler<CreateMLModelRequest,CreateMLModelResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a new `MLModel` using the `DataSource` and the recipe as information sources.

An `MLModel` is nearly immutable. Users can update only the `MLModelName` and the `ScoreThreshold` in an `MLModel` without creating a new `MLModel`.

`CreateMLModel` is an asynchronous operation. In response to `CreateMLModel`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `MLModel` status to `PENDING` . After the `MLModel` has been created and ready is for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetMLModel` operation to check the progress of the `MLModel` during the creation operation.

`CreateMLModel` requires a `DataSource` with computed statistics, which can be created by setting `ComputeStatistics` to `true` in `CreateDataSourceFromRDS`, `CreateDataSourceFromS3`, or `CreateDataSourceFromRedshift` operations.

Specified by:
  `createMLModelAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateMLModel operation returned by the service.

#### createRealtimeEndpointAsync

    public Future<CreateRealtimeEndpointResult> createRealtimeEndpointAsync(CreateRealtimeEndpointRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a real-time endpoint for the `MLModel`. The endpoint contains the URI of the `MLModel`; that is, the location to send real-time prediction requests for the specified `MLModel`.

Specified by:
  `createRealtimeEndpointAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the CreateRealtimeEndpoint operation returned by the service.

#### createRealtimeEndpointAsync

    public Future<CreateRealtimeEndpointResult> createRealtimeEndpointAsync(CreateRealtimeEndpointRequest request,
                                                                            AsyncHandler<CreateRealtimeEndpointRequest,CreateRealtimeEndpointResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Creates a real-time endpoint for the `MLModel`. The endpoint contains the URI of the `MLModel`; that is, the location to send real-time prediction requests for the specified `MLModel`.

Specified by:
  `createRealtimeEndpointAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateRealtimeEndpoint operation returned by the service.

#### deleteBatchPredictionAsync

    public Future<DeleteBatchPredictionResult> deleteBatchPredictionAsync(DeleteBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.

After using the `DeleteBatchPrediction` operation, you can use the GetBatchPrediction operation to verify that the status of the `BatchPrediction` changed to DELETED.

Caution: The result of the `DeleteBatchPrediction` operation is irreversible.

Specified by:
  `deleteBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteBatchPrediction operation returned by the service.

#### deleteBatchPredictionAsync

    public Future<DeleteBatchPredictionResult> deleteBatchPredictionAsync(DeleteBatchPredictionRequest request,
                                                                          AsyncHandler<DeleteBatchPredictionRequest,DeleteBatchPredictionResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.

After using the `DeleteBatchPrediction` operation, you can use the GetBatchPrediction operation to verify that the status of the `BatchPrediction` changed to DELETED.

Caution: The result of the `DeleteBatchPrediction` operation is irreversible.

Specified by:
  `deleteBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteBatchPrediction operation returned by the service.

#### deleteDataSourceAsync

    public Future<DeleteDataSourceResult> deleteDataSourceAsync(DeleteDataSourceRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the DELETED status to a `DataSource`, rendering it unusable.

After using the `DeleteDataSource` operation, you can use the GetDataSource operation to verify that the status of the `DataSource` changed to DELETED.

Caution: The results of the `DeleteDataSource` operation are irreversible.

Specified by:
  `deleteDataSourceAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteDataSource operation returned by the service.

#### deleteDataSourceAsync

    public Future<DeleteDataSourceResult> deleteDataSourceAsync(DeleteDataSourceRequest request,
                                                                AsyncHandler<DeleteDataSourceRequest,DeleteDataSourceResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the DELETED status to a `DataSource`, rendering it unusable.

After using the `DeleteDataSource` operation, you can use the GetDataSource operation to verify that the status of the `DataSource` changed to DELETED.

Caution: The results of the `DeleteDataSource` operation are irreversible.

Specified by:
  `deleteDataSourceAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteDataSource operation returned by the service.

#### deleteEvaluationAsync

    public Future<DeleteEvaluationResult> deleteEvaluationAsync(DeleteEvaluationRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.

After invoking the `DeleteEvaluation` operation, you can use the `GetEvaluation` operation to verify that the status of the `Evaluation` changed to `DELETED`.

<caution>Caution

The results of the `DeleteEvaluation` operation are irreversible.

</caution>

Specified by:
  `deleteEvaluationAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteEvaluation operation returned by the service.

#### deleteEvaluationAsync

    public Future<DeleteEvaluationResult> deleteEvaluationAsync(DeleteEvaluationRequest request,
                                                                AsyncHandler<DeleteEvaluationRequest,DeleteEvaluationResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.

After invoking the `DeleteEvaluation` operation, you can use the `GetEvaluation` operation to verify that the status of the `Evaluation` changed to `DELETED`.

<caution>Caution

The results of the `DeleteEvaluation` operation are irreversible.

</caution>

Specified by:
  `deleteEvaluationAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteEvaluation operation returned by the service.

#### deleteMLModelAsync

    public Future<DeleteMLModelResult> deleteMLModelAsync(DeleteMLModelRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the `DELETED` status to an `MLModel`, rendering it unusable.

After using the `DeleteMLModel` operation, you can use the `GetMLModel` operation to verify that the status of the `MLModel` changed to DELETED.

Caution: The result of the `DeleteMLModel` operation is irreversible.

Specified by:
  `deleteMLModelAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteMLModel operation returned by the service.

#### deleteMLModelAsync

    public Future<DeleteMLModelResult> deleteMLModelAsync(DeleteMLModelRequest request,
                                                          AsyncHandler<DeleteMLModelRequest,DeleteMLModelResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Assigns the `DELETED` status to an `MLModel`, rendering it unusable.

After using the `DeleteMLModel` operation, you can use the `GetMLModel` operation to verify that the status of the `MLModel` changed to DELETED.

Caution: The result of the `DeleteMLModel` operation is irreversible.

Specified by:
  `deleteMLModelAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteMLModel operation returned by the service.

#### deleteRealtimeEndpointAsync

    public Future<DeleteRealtimeEndpointResult> deleteRealtimeEndpointAsync(DeleteRealtimeEndpointRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Deletes a real time endpoint of an `MLModel`.

Specified by:
  `deleteRealtimeEndpointAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteRealtimeEndpoint operation returned by the service.

#### deleteRealtimeEndpointAsync

    public Future<DeleteRealtimeEndpointResult> deleteRealtimeEndpointAsync(DeleteRealtimeEndpointRequest request,
                                                                            AsyncHandler<DeleteRealtimeEndpointRequest,DeleteRealtimeEndpointResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Deletes a real time endpoint of an `MLModel`.

Specified by:
  `deleteRealtimeEndpointAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteRealtimeEndpoint operation returned by the service.

#### deleteTagsAsync

    public Future<DeleteTagsResult> deleteTagsAsync(DeleteTagsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Deletes the specified tags associated with an ML object. After this operation is complete, you can't recover deleted tags.

If you specify a tag that doesn't exist, Amazon ML ignores it.

Specified by:
  `deleteTagsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DeleteTags operation returned by the service.

#### deleteTagsAsync

    public Future<DeleteTagsResult> deleteTagsAsync(DeleteTagsRequest request,
                                                    AsyncHandler<DeleteTagsRequest,DeleteTagsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Deletes the specified tags associated with an ML object. After this operation is complete, you can't recover deleted tags.

If you specify a tag that doesn't exist, Amazon ML ignores it.

Specified by:
  `deleteTagsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteTags operation returned by the service.

#### describeBatchPredictionsAsync

    public Future<DescribeBatchPredictionsResult> describeBatchPredictionsAsync(DescribeBatchPredictionsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `BatchPrediction` operations that match the search criteria in the request.

Specified by:
  `describeBatchPredictionsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DescribeBatchPredictions operation returned by the service.

#### describeBatchPredictionsAsync

    public Future<DescribeBatchPredictionsResult> describeBatchPredictionsAsync(DescribeBatchPredictionsRequest request,
                                                                                AsyncHandler<DescribeBatchPredictionsRequest,DescribeBatchPredictionsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `BatchPrediction` operations that match the search criteria in the request.

Specified by:
  `describeBatchPredictionsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DescribeBatchPredictions operation returned by the service.

#### describeBatchPredictionsAsync

    public Future<DescribeBatchPredictionsResult> describeBatchPredictionsAsync()

Simplified method form for invoking the DescribeBatchPredictions operation.

Specified by:
  `describeBatchPredictionsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeBatchPredictionsAsync(DescribeBatchPredictionsRequest)`

#### describeBatchPredictionsAsync

    public Future<DescribeBatchPredictionsResult> describeBatchPredictionsAsync(AsyncHandler<DescribeBatchPredictionsRequest,DescribeBatchPredictionsResult> asyncHandler)

Simplified method form for invoking the DescribeBatchPredictions operation with an AsyncHandler.

Specified by:
  `describeBatchPredictionsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeBatchPredictionsAsync(DescribeBatchPredictionsRequest, com.amazonaws.handlers.AsyncHandler)`

#### describeDataSourcesAsync

    public Future<DescribeDataSourcesResult> describeDataSourcesAsync(DescribeDataSourcesRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `DataSource` that match the search criteria in the request.

Specified by:
  `describeDataSourcesAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DescribeDataSources operation returned by the service.

#### describeDataSourcesAsync

    public Future<DescribeDataSourcesResult> describeDataSourcesAsync(DescribeDataSourcesRequest request,
                                                                      AsyncHandler<DescribeDataSourcesRequest,DescribeDataSourcesResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `DataSource` that match the search criteria in the request.

Specified by:
  `describeDataSourcesAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DescribeDataSources operation returned by the service.

#### describeDataSourcesAsync

    public Future<DescribeDataSourcesResult> describeDataSourcesAsync()

Simplified method form for invoking the DescribeDataSources operation.

Specified by:
  `describeDataSourcesAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeDataSourcesAsync(DescribeDataSourcesRequest)`

#### describeDataSourcesAsync

    public Future<DescribeDataSourcesResult> describeDataSourcesAsync(AsyncHandler<DescribeDataSourcesRequest,DescribeDataSourcesResult> asyncHandler)

Simplified method form for invoking the DescribeDataSources operation with an AsyncHandler.

Specified by:
  `describeDataSourcesAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeDataSourcesAsync(DescribeDataSourcesRequest, com.amazonaws.handlers.AsyncHandler)`

#### describeEvaluationsAsync

    public Future<DescribeEvaluationsResult> describeEvaluationsAsync(DescribeEvaluationsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `DescribeEvaluations` that match the search criteria in the request.

Specified by:
  `describeEvaluationsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DescribeEvaluations operation returned by the service.

#### describeEvaluationsAsync

    public Future<DescribeEvaluationsResult> describeEvaluationsAsync(DescribeEvaluationsRequest request,
                                                                      AsyncHandler<DescribeEvaluationsRequest,DescribeEvaluationsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `DescribeEvaluations` that match the search criteria in the request.

Specified by:
  `describeEvaluationsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DescribeEvaluations operation returned by the service.

#### describeEvaluationsAsync

    public Future<DescribeEvaluationsResult> describeEvaluationsAsync()

Simplified method form for invoking the DescribeEvaluations operation.

Specified by:
  `describeEvaluationsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeEvaluationsAsync(DescribeEvaluationsRequest)`

#### describeEvaluationsAsync

    public Future<DescribeEvaluationsResult> describeEvaluationsAsync(AsyncHandler<DescribeEvaluationsRequest,DescribeEvaluationsResult> asyncHandler)

Simplified method form for invoking the DescribeEvaluations operation with an AsyncHandler.

Specified by:
  `describeEvaluationsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeEvaluationsAsync(DescribeEvaluationsRequest, com.amazonaws.handlers.AsyncHandler)`

#### describeMLModelsAsync

    public Future<DescribeMLModelsResult> describeMLModelsAsync(DescribeMLModelsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `MLModel` that match the search criteria in the request.

Specified by:
  `describeMLModelsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DescribeMLModels operation returned by the service.

#### describeMLModelsAsync

    public Future<DescribeMLModelsResult> describeMLModelsAsync(DescribeMLModelsRequest request,
                                                                AsyncHandler<DescribeMLModelsRequest,DescribeMLModelsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a list of `MLModel` that match the search criteria in the request.

Specified by:
  `describeMLModelsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DescribeMLModels operation returned by the service.

#### describeMLModelsAsync

    public Future<DescribeMLModelsResult> describeMLModelsAsync()

Simplified method form for invoking the DescribeMLModels operation.

Specified by:
  `describeMLModelsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeMLModelsAsync(DescribeMLModelsRequest)`

#### describeMLModelsAsync

    public Future<DescribeMLModelsResult> describeMLModelsAsync(AsyncHandler<DescribeMLModelsRequest,DescribeMLModelsResult> asyncHandler)

Simplified method form for invoking the DescribeMLModels operation with an AsyncHandler.

Specified by:
  `describeMLModelsAsync` in interface `AmazonMachineLearningAsync`
See Also:
  `describeMLModelsAsync(DescribeMLModelsRequest, com.amazonaws.handlers.AsyncHandler)`

#### describeTagsAsync

    public Future<DescribeTagsResult> describeTagsAsync(DescribeTagsRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Describes one or more of the tags for your Amazon ML object.

Specified by:
  `describeTagsAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the DescribeTags operation returned by the service.

#### describeTagsAsync

    public Future<DescribeTagsResult> describeTagsAsync(DescribeTagsRequest request,
                                                        AsyncHandler<DescribeTagsRequest,DescribeTagsResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Describes one or more of the tags for your Amazon ML object.

Specified by:
  `describeTagsAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DescribeTags operation returned by the service.

#### getBatchPredictionAsync

    public Future<GetBatchPredictionResult> getBatchPredictionAsync(GetBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.

Specified by:
  `getBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the GetBatchPrediction operation returned by the service.

#### getBatchPredictionAsync

    public Future<GetBatchPredictionResult> getBatchPredictionAsync(GetBatchPredictionRequest request,
                                                                    AsyncHandler<GetBatchPredictionRequest,GetBatchPredictionResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.

Specified by:
  `getBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetBatchPrediction operation returned by the service.

#### getDataSourceAsync

    public Future<GetDataSourceResult> getDataSourceAsync(GetDataSourceRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.

`GetDataSource` provides results in normal or verbose format. The verbose format adds the schema description and the list of files pointed to by the DataSource to the normal format.

Specified by:
  `getDataSourceAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the GetDataSource operation returned by the service.

#### getDataSourceAsync

    public Future<GetDataSourceResult> getDataSourceAsync(GetDataSourceRequest request,
                                                          AsyncHandler<GetDataSourceRequest,GetDataSourceResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.

`GetDataSource` provides results in normal or verbose format. The verbose format adds the schema description and the list of files pointed to by the DataSource to the normal format.

Specified by:
  `getDataSourceAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDataSource operation returned by the service.

#### getEvaluationAsync

    public Future<GetEvaluationResult> getEvaluationAsync(GetEvaluationRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.

Specified by:
  `getEvaluationAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the GetEvaluation operation returned by the service.

#### getEvaluationAsync

    public Future<GetEvaluationResult> getEvaluationAsync(GetEvaluationRequest request,
                                                          AsyncHandler<GetEvaluationRequest,GetEvaluationResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.

Specified by:
  `getEvaluationAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetEvaluation operation returned by the service.

#### getMLModelAsync

    public Future<GetMLModelResult> getMLModelAsync(GetMLModelRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.

`GetMLModel` provides results in normal or verbose format.

Specified by:
  `getMLModelAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the GetMLModel operation returned by the service.

#### getMLModelAsync

    public Future<GetMLModelResult> getMLModelAsync(GetMLModelRequest request,
                                                    AsyncHandler<GetMLModelRequest,GetMLModelResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.

`GetMLModel` provides results in normal or verbose format.

Specified by:
  `getMLModelAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetMLModel operation returned by the service.

#### predictAsync

    public Future<PredictResult> predictAsync(PredictRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Generates a prediction for the observation using the specified `ML Model`.

<note>Note

Not all response parameters will be populated. Whether a response parameter is populated depends on the type of model requested.

</note>

Specified by:
  `predictAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the Predict operation returned by the service.

#### predictAsync

    public Future<PredictResult> predictAsync(PredictRequest request,
                                              AsyncHandler<PredictRequest,PredictResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Generates a prediction for the observation using the specified `ML Model`.

<note>Note

Not all response parameters will be populated. Whether a response parameter is populated depends on the type of model requested.

</note>

Specified by:
  `predictAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the Predict operation returned by the service.

#### updateBatchPredictionAsync

    public Future<UpdateBatchPredictionResult> updateBatchPredictionAsync(UpdateBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `BatchPredictionName` of a `BatchPrediction`.

You can use the `GetBatchPrediction` operation to view the contents of the updated data element.

Specified by:
  `updateBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the UpdateBatchPrediction operation returned by the service.

#### updateBatchPredictionAsync

    public Future<UpdateBatchPredictionResult> updateBatchPredictionAsync(UpdateBatchPredictionRequest request,
                                                                          AsyncHandler<UpdateBatchPredictionRequest,UpdateBatchPredictionResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `BatchPredictionName` of a `BatchPrediction`.

You can use the `GetBatchPrediction` operation to view the contents of the updated data element.

Specified by:
  `updateBatchPredictionAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateBatchPrediction operation returned by the service.

#### updateDataSourceAsync

    public Future<UpdateDataSourceResult> updateDataSourceAsync(UpdateDataSourceRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `DataSourceName` of a `DataSource`.

You can use the `GetDataSource` operation to view the contents of the updated data element.

Specified by:
  `updateDataSourceAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the UpdateDataSource operation returned by the service.

#### updateDataSourceAsync

    public Future<UpdateDataSourceResult> updateDataSourceAsync(UpdateDataSourceRequest request,
                                                                AsyncHandler<UpdateDataSourceRequest,UpdateDataSourceResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `DataSourceName` of a `DataSource`.

You can use the `GetDataSource` operation to view the contents of the updated data element.

Specified by:
  `updateDataSourceAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateDataSource operation returned by the service.

#### updateEvaluationAsync

    public Future<UpdateEvaluationResult> updateEvaluationAsync(UpdateEvaluationRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `EvaluationName` of an `Evaluation`.

You can use the `GetEvaluation` operation to view the contents of the updated data element.

Specified by:
  `updateEvaluationAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the UpdateEvaluation operation returned by the service.

#### updateEvaluationAsync

    public Future<UpdateEvaluationResult> updateEvaluationAsync(UpdateEvaluationRequest request,
                                                                AsyncHandler<UpdateEvaluationRequest,UpdateEvaluationResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `EvaluationName` of an `Evaluation`.

You can use the `GetEvaluation` operation to view the contents of the updated data element.

Specified by:
  `updateEvaluationAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateEvaluation operation returned by the service.

#### updateMLModelAsync

    public Future<UpdateMLModelResult> updateMLModelAsync(UpdateMLModelRequest request)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.

You can use the `GetMLModel` operation to view the contents of the updated data element.

Specified by:
  `updateMLModelAsync` in interface `AmazonMachineLearningAsync`
Returns:
  A Java Future containing the result of the UpdateMLModel operation returned by the service.

#### updateMLModelAsync

    public Future<UpdateMLModelResult> updateMLModelAsync(UpdateMLModelRequest request,
                                                          AsyncHandler<UpdateMLModelRequest,UpdateMLModelResult> asyncHandler)

Description copied from interface: `AmazonMachineLearningAsync`

Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.

You can use the `GetMLModel` operation to view the contents of the updated data element.

Specified by:
  `updateMLModelAsync` in interface `AmazonMachineLearningAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateMLModel operation returned by the service.

#### shutdown

    public void shutdown()

Shuts down the client, releasing all managed resources. This includes forcibly terminating all pending asynchronous service calls. Clients who wish to give pending asynchronous service calls time to complete should call `getExecutorService().shutdown()` followed by `getExecutorService().awaitTermination()` prior to calling this method.

Specified by:
  `shutdown` in interface `AmazonMachineLearning`
Overrides:
  `shutdown` in class `AmazonWebServiceClient`